QGIS Application - Bug report #7794
Fail create a spatial index with shape file that contain Japanese in the file name
2013-05-09 06:33 PM - yoichi Kayama

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16686
Description

When create a spatial index with shape file that contain Japanese in the file name,always fail.

This bug occurs in "general" "Create spatial index" of the Layer Properties.

| was confirmed by Windows7 .

| was able to create a spatial index in the file that was changed to not a Japanese file name and path name.
| guess that it might be to also occur in other languages other than Japanese.

Related issues:
Duplicated by QGIS Application - Bug report # 8186: Fail to make spatial ind... Closed 2013-06-27

History

#1 - 2013-05-09 10:35 PM - Minoru Akagi

| can confirm this with SJIS shapefile, but the creation works with UTF-8 shapefile.

#2 - 2013-05-09 11:00 PM - Minoru Akagi

pull request to fix this issue: https:/github.com/qgis/Quantum-GIS/pull/584

#3 - 2013-07-14 12:53 AM - Minoru Akagi

Steps to reproduce:

1. make a shapefile that includes non-ascii characters in the filename

2. turn on the "Ignore shapefile encoding declaration" option

3. open the shapefile and select an encoding other than UTF-8

4. do "Create spatial index"

#4 - 2013-07-16 01:14 AM - yoichi Kayama

| had success make create spatial index with shape file that contain Japanese in the file name.
It require processing of Encoding fixer plugin for files | used.

I will try to test for some files.

#5 - 2013-07-17 08:44 PM - yoichi Kayama

If Shapefile has not encoding information, it is necessaryto to use Fix Shapefile Encoding plugin setting LDID byte to 0x13 or making CPG file.
https://github.com/qgis/Quantum-GIS/pull/584

#6 - 2013-07-17 08:45 PM - yoichi Kayama
- Status changed from Open to Closed

#7 - 2013-07-17 11:03 PM - Paolo Cavallini

Better document this on the manual? Pull req welcome.
Arigatou.

#8 - 2013-08-06 12:24 PM - Minoru Akagi

The pull request was merged. Fixed in changeset commit:"a2776da".

Files

spatialindex_error.png 84.5 KB 2013-05-09 yoichi Kayama

2025-04-27 22



